{$DOUBLE}
Program TSTMSINIT;

{ 
  Description: Test program for MSINIT routine. 
         File: [Message]TSTMSINIT.PAS
       Author: Jim Bostwick  8-JUN-1988 
    Last Edit: 20-OCT-1989 02:00:24 
      History:
    	 20-OCT-1989 JMB - reduced header size
	 3-AUG-1989 - JMB - Add $DOUBLE compiler switch


Testing P3UTIL module(s): msinit

}

{$nolist}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE 'PAS$EXT:GENERAL.TYP';
%INCLUDE 'pas$ext:MESSAGE.TYP';
%INCLUDE 'PAS$EXT:STRING.PKG';
%INCLUDE 'PAS$EXT:CR56TA.EXT';
%INCLUDE 'pas$ext:MSINIT.EXT';
{$list}



var
	msg: Message_rec;
	Stat: integer;
	nam: Ch6; 

begin
	writeln('Testing msinit, with bare header...');
	msinit('FUBAR ','TOTASK',msg,stat);
	writeln('And the status is ',stat);
	writeln('To_node is ',msg.dest_node,' should be "fubar ".');
	cr56ta(msg.dest_task,nam);
	writeln('To_task is ',nam,' should be "totask".');
	writeln( 'Source node is ',msg.src_node);
	cr56ta(msg.src_task,nam);
	writeln( 'Source task is ',nam);
	cr56ta(msg.router,nam);
	writeln( 'Router is ', nam);
	writeln( 'Msg_size =', msg.msg_size);
	writeln( 'done.')
end.
    
 
